Skip to main content
Nowledge MemNowledge Mem

List Sources

GET
/sources

List sources with optional filtering and pagination.

Query Parameters

limit?Limit
Range1 <= value <= 200
Default50
offset?Offset
Range0 <= value
Default0
source_type?|

Filter by source_type

lifecycle_state?|

Filter by lifecycle_state

labels?array<string>|

Filter by source label name or label_id. Repeat for AND semantics.

label?array<string>|

Alias for labels. Repeat for AND semantics.

metadata?array<string>|

Filter by source metadata equality, e.g. metadata=customer=acme. Repeat for AND semantics; repeat the same key for OR values.

space_id?Space Id

Isolation space to list

Default"default"

Response Body

application/json

application/json

curl -X GET "https://example.com/sources"
{  "sources": [    {      "chunk_count": 0,      "created_at": "string",      "error_message": "string",      "file_path": "string",      "id": "string",      "label_ids": [        "string"      ],      "lifecycle_state": "ingested",      "memory_count": 0,      "metadata": {},      "mime_type": "string",      "original_name": "string",      "parsed_path": "string",      "section_tree": "string",      "sha256": "string",      "size_bytes": 0,      "source_type": "string",      "source_url": "string",      "space_id": "default",      "summary": "string",      "updated_at": "string",      "version": 1    }  ],  "total": 0}